<template lang="pug">
  .ai(v-show="isShown" v-bind:style="style")
    .close(@click="close") &times;
    .title
      | This image was masked by
      .badge AI
    .description Masking could be messy. Using this image, you vote for faster manual processing.
</template>

<script>
import { mapState } from 'vuex'
import storeService from '../services/store'

export default {
  name: 'Ai',
  data () {
    return {
      isShown: false,
      style: {
        top: 0,
        left: 0
      }
    }
  },
  computed: {
    ...mapState({
      activeItem: state => state.editor.activeItem
    })
  },
  methods: {
    calculatePosition () {
      const activeItem = storeService.get('activeItem')

      const activeItemX = activeItem.x()
      const activeItemY = activeItem.y()

      let left = activeItemX - 155
      let top = activeItemY - 43.5

      this.style.left = left + 'px'
      this.style.top = top + 'px'
    },
    show () {
      const sawAI = localStorage.getItem('sawAI')

      if (this.activeItem && this.activeItem.croppedWithAI && !sawAI) {
        this.calculatePosition()
        this.isShown = true
      }
    },
    hide () {
      this.isShown = false
    },
    close () {
      localStorage.setItem('sawAI', true)
      this.hide()
    }
  }
}
</script>

<style lang="scss" scoped>
  .ai {
    background: rgba(0, 0, 0, .9);
    width: 310px;
    border-radius: 8px;
    padding: 12px;
    position: absolute;
    top: 15px;
    z-index: 20;
    line-height: 20px;
    font-size: 14px;

    .close {
      background: rgba(255, 255, 255, .2);
      color: rgba(255, 255, 255, .7);
      width: 18px;
      height: 18px;
      border-radius: 50%;
      position: absolute;
      right: 7px;
      top: 7px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
    }

    .title {
      color: #FFCD4D;

      .badge {
        border-radius: 100px;
        background: #FFCD4D;
        width: 27px;
        height: 17px;
        line-height: 11px;
        font-size: 10px;
        color: #1A1A1A;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        margin-left: 6px;
        vertical-align: text-bottom;
      }
    }

    .description {
      margin-top: 3px;
      color: #fff;
    }
  }
</style>
